> For the complete documentation index, see [llms.txt](https://docs.roomiekit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomiekit.io/reference/cli-commands.md).

# CLI commands

Open-source starter:

```bash
npm run dev
npm run typecheck
npm run lint
npm run build
npm run release:verify
npm --prefix web run cap:copy
```

Roomie Kit Cloud:

```bash
npx roomie-kit-host keys
npx roomie-kit-host login
npx roomie-kit-host onboard
npx roomie-kit-host customize
npx roomie-kit-host login --token <license-key>
npx roomie-kit-host whoami
npx roomie-kit-host logout
npx roomie-kit-host init [app-folder]
npx roomie-kit-host doctor
npx roomie-kit-host deploy --execute --resume
npx roomie-kit-host health
npx roomie-kit-host update
npx roomie-kit-host mcp
```

Use `login` first, then `onboard` for the main customer path. `login --token` is a manual fallback. Use lower-level commands for debugging, support, or reconfiguration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roomiekit.io/reference/cli-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
